/* elements------------------------------------------------------------------------------------------------------------ */

@import url('https://fonts.googleapis.com/css2?family=Karla:wght@300;400;600;700;900&display=swap');

body,html {
    font-family: 'Karla', sans-serif;
    width: 100%;
    height: 100%;
    background-color: #121212;
    color: white;
    text-transform: lowercase;
    }

body {
    margin: 0;
    overflow-x:hidden;
}

header {
    width: 100%;
    max-width: 1200px;
    margin: auto;
}

main {
    min-height: 50vh;
    animation: fadein .5s;
}

@keyframes fadein {
  from { opacity: 0}
  to   { opacity: 1}
}

.page {
    width: 80%;
    max-width: 1400px;
    margin: 2em auto;
}

nav {
    display: flex;
    flex: 2;
    justify-content: flex-end;
    padding: 30px;
}

h1{
    font-size: 3.5rem;
    font-weight: 700;
}

h2{
    font-size: 2rem;
    font-weight: 400;
    text-align: center;
}

h3 {
    font-size: 1rem;
    text-align: center;
    font-weight: 400;
}

p{
    font-size: 12px;
}

.pink-text {
    color: #bb86fc;
}

.purple-text {
    color: #3700b3;
}

.green-text {
    color: #03dac6;
}

.invert {
    filter: invert(100%); 
}

.bio {
    width: 80%;
    margin: auto;
}

a {
    transition: all .2s ease-in-out;
}

a:hover {
    color: #03dac6;
    transform: scale(1);
    }

a:active {
    color: white;
    }

/* Header -----------------------------------------------------------------------------------------------------------------*/

#img-logo {
    width: 110px;
    position: relative;
    text-decoration: none;
    filter: invert(100%); 
    display: flex;
    flex: 1;
    padding-left: 20px;
}

#navigation-container {
    position: relative;
    background-color: #121212;
    filter:contrast(95%);
    display: flex;    
    flex-direction: row;
    align-items: center;
    text-align: center;
    padding-right: 20px;
    transition: transform .2s;

}    

.nav-selected {
    text-decoration: none;
    color: white;
    font-weight:600;
    text-size-adjust: auto;
    padding: 0 20px 0 20px;
}

.nav-text {
    text-decoration: none;
    color: white;
    font-weight:300;
    text-size-adjust: auto;
    padding: 0 20px 0 20px;
}

/* Banner -----------------------------------------------------------------------------------------------------------------*/

.banner-image {
    height: 200px;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
    }

.banner-image.about{
    background-position: center;
    background-image:
    linear-gradient(to bottom, rgba(0,0,0,0.5) 0%,rgba(0,0,0,0.5) 100%),
    url("./images/bannerabout.jpg");
}

.banner-image.work{
    background-position: bottom;
    background-image:
    linear-gradient(to bottom, rgba(0,0,0,0.5) 0%,rgba(0,0,0,0.5) 100%),
    url("./images/bannerwork.jpg");
}

.banner-image.contact{
    background-position: center;
    background-image:
    linear-gradient(to bottom, rgba(0,0,0,0.5) 0%,rgba(0,0,0,0.5) 100%),
    url("./images/bannercontactus.jpg");
}

.banner-text {
    text-align: center;
    overflow: hidden; 
    white-space: nowrap; /* Keeps the content on a single line */
    margin: 0 auto; /* Gives that scrolling effect as the typing happens */
    animation: 
      typing 3.5s steps(40, end),
      blink-caret .75s step-end infinite;
} 

@keyframes typing {
    from { width: 0 }
    to { width: 100% }
}

.page-heading{
    margin-top:2em;
    font-weight: 700;
}

/* Content - About -----------------------------------------------------------------------------------------------------------------*/

#photo-index {
    max-width: 20%;
    border-radius: 50%;
    margin: 2em auto;
    display: flex;
}

.page.about {
    display: flex;
    flex-direction: row;
}

.links {
    margin: 2em auto;
    display: flex;
    justify-content: center;
}

h2:hover a{
    text-decoration-line: underline;
    text-decoration-thickness: 3px;
    cursor: pointer;
    box-shadow: inset 300px 0 0 0 #bb86fc;
    color: white;
}

.social:active a{
    color: white;
    }

h2 a{
    text-decoration: none;
    text-decoration-line: underline;
    text-decoration-thickness: 1.5px;
    text-underline-offset: 2px;
    color: white;
    transition: all .2s ease-in-out;
    box-shadow: inset 0 0 0 0 #03dac6;
    color: white;
    margin: 1rem;
    padding: 1rem;
    transition: color .6s ease-in-out, box-shadow .6s ease-in-out;
}


#icon-about {
    width: 30px;
    object-fit: contain;
    filter: invert(100%);
    padding: 10px;
}

.links-heading{
    display: inline-flex;
    flex-direction: row;
    width: fit-content;
    /* height: 50px; */
}

/* Content - Work -----------------------------------------------------------------------------------------------------------------*/


.page.work {
    display: flex;
    flex-direction: row;
    align-content: center;
}
.column {
    width: 29%;
    min-height: 250px;
    object-fit: contain;
    border: 1px solid rgb(221, 214, 214);
    margin: 2em auto;
}

.column img {
    width: 100%;
    object-fit: contain;
}

.work-button {
    width: 5em;
    margin: 2em auto;
    padding: 5px;
    background-color: white;
    color: black;
    font-size: 1em;
    border-radius: 10px;
    text-align: center;
    text-decoration: none;
    display: flex;
    justify-content: center;
    align-items: center;
}

.work-button:hover {
    background-color: #bb86fc;
    color: white;
}

.work-button:active {
    background-color: white;
    color: black;
}

/* Content - Contact -----------------------------------------------------------------------------------------------------------------*/

.page.contact {
    display: flex;
    justify-content: center;
}

form {
    width: 60%;
    max-width: 800px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.form-item {
    margin-bottom: 2em;
    display: flex;
    flex-direction: column;
}

.form-item label {
    margin-bottom: .5em;
}

.form-item input,
.form-item textarea {
    padding: 10px;
    width: 500px;
    background-color: #121212;
    color: white;
    border: 1px solid white;
    border-radius: 10px;
}

.form-item input:hover, 
.form-item textarea:hover {
    border: 1px solid #03dac6;
}

.form-item input:focus, 
.form-item textarea:focus {
    border: 1px solid #bb86fc;
    background-color: white;
    color: #121212;
}

.form-item button {
    align-self: center;
    width: 5em;
    padding: 5px;
    background-color: white;
    color: black;
    font-size: 1em;
    border-radius: 10px;
}

.form-item button:hover {
    background-color: #bb86fc;
    color: white;
    transition: all .2s ease-in-out;
    cursor: pointer;
}

.form-item button:active {
    background-color: white;
    color: black;
    transition: all .2s ease-in-out;
}


/* Footer -----------------------------------------------------------------------------------------------------------------*/

footer{
    text-align: center;
    margin-bottom: 2px;
}

/* Media Queries: Between 600 - 900px wide (Tablet) -----------------------------------------------------------------------------------------------------------------*/

@media (max-width: 900px) {

    h2{
        font-size: 1.5rem;
    }

    header {
        width: 100%;
        max-width: 800px;
        margin: auto;
    }
    
    .page .links .links-heading {
        display: flex;
        flex-direction: column;
    }

    #icon-about {
        width: 40px;
        margin: auto;
    }

    .page.work {
        display: block;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }

    .column{
        width: 35%;
        min-height: 200px;
        }

    .form-item input,
    .form-item textarea {
    width: 400px;
}

}
/* Media Queries: Smaller than 600px wide (Mobile) -----------------------------------------------------------------------------------------------------------------*/

@media (max-width: 600px) {
    
    header{
        display: inline-flex;
        align-items: stretch;
    }

    main {
        min-width: 20vh;
    }

    #navigation-container{
        display: flex;
        flex-direction: column;
        width: 100%;
    }

    .img-logo{
        display: flex;
        flex-direction: center;
    }

    nav{
        width: auto;
        display: flex;
        padding: 30px;
    }

    .page.work {
        display: flex;
        flex-direction: column;
        align-content: center;
        margin: .5em auto;
    }
    .column{
        width: 80%;
        }

    .form-item input,
    .form-item textarea {
    width: 250px;
}
}